Package com.castlabs.android.hybridads

# Class HybridAdComponent

java.lang.Object
com.castlabs.android.hybridads.HybridAdComponent

All Implemented Interfaces:
  `PlayerControllerPlugin.Component`

public class HybridAdComponent extends Object implements PlayerControllerPlugin.Component

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `HybridAdComponent.AdVisibilityListener`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HybridAdComponent(HybridAdPlayerPlugin hybridAdPlayerPluginWeakReference, HybridAdTrackRendererPlugin hybridAdTrackRendererPlugin)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `id()`
  `void`
  `onDestroy(PlayerController playerController)`
  `void`
  `onOpenBundle(PlayerController playerController, Bundle bundle)`
  `void`
  `onOpenState(PlayerController playerController, PlayerConfig playerConfig)`
  `void`
  `setAdPlayerInfo(com.castlabs.android.tunerhal.aidl.IPlayerService playerService, int instance, long splicePts, long adDuration)`
  `void`
  `setContext(Context context, FrameLayout frameLayout, HybridAdComponent.AdVisibilityListener listener)`
  `void`
  `toggleToAdSurface(boolean toggle)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HybridAdComponent

    public HybridAdComponent(HybridAdPlayerPlugin hybridAdPlayerPluginWeakReference, HybridAdTrackRendererPlugin hybridAdTrackRendererPlugin)

- ## Method Details

  - ### setAdPlayerInfo

    public void setAdPlayerInfo(com.castlabs.android.tunerhal.aidl.IPlayerService playerService, int instance, long splicePts, long adDuration)

  - ### setContext

    public void setContext(Context context, FrameLayout frameLayout, HybridAdComponent.AdVisibilityListener listener)

  - ### toggleToAdSurface

    public void toggleToAdSurface(boolean toggle)

  - ### id

    @NonNull public Class id()
    Specified by:
      `id` in interface `PlayerControllerPlugin.Component`

  - ### onDestroy

    public void onDestroy(@NonNull PlayerController playerController)
    Specified by:
      `onDestroy` in interface `PlayerControllerPlugin.Component`

  - ### onOpenBundle

    public void onOpenBundle(@NonNull PlayerController playerController, @NonNull Bundle bundle)
    Specified by:
      `onOpenBundle` in interface `PlayerControllerPlugin.Component`

  - ### onOpenState

    public void onOpenState(PlayerController playerController, PlayerConfig playerConfig)
    Specified by:
      `onOpenState` in interface `PlayerControllerPlugin.Component`